> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get MCP By Id

> Fetch a single MCP configuration by its unique ID. Requires `x-api-key` authentication.



## OpenAPI

````yaml GET /ext/mcp/{id}
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /ext/mcp/{id}:
    get:
      summary: Get MCP by ID
      description: >-
        Fetch a single MCP configuration by its unique ID. Requires `x-api-key`
        authentication.
      operationId: getMCPById
      parameters:
        - name: id
          in: path
          required: true
          description: Unique identifier of the MCP
          schema:
            type: string
            format: uuid
            example: 0d585f9a-e992-42d4-bda2-9c25f2bd7eda
      responses:
        '200':
          description: MCP object successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: dcf04568-6bf5-40cf-bd6f-d68e4cb5b216
                  name:
                    type: string
                    example: Livekit Docs
                  description:
                    type: string
                    example: MCP server to get livekit info
                  type:
                    type: string
                    example: shttp/sse
                  request_config:
                    type: object
                    properties:
                      url:
                        type: string
                        format: uri
                        example: >-
                          http://ec2-18-216-51-35.us-east-2.compute.amazonaws.com:8080/sse
                      headers:
                        type: object
                        additionalProperties:
                          type: string
                        example:
                          User-Agent: Trugen Avatar
                          Accept: application/json
                    required:
                      - url
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-10-02T17:22:10.96453Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-10-02T17:22:10.96453Z'
                required:
                  - id
                  - name
                  - description
                  - type
                  - request_config
                  - created_at
                  - updated_at
        '401':
          description: Unauthorized – invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: 'Unauthorized: not a valid authorization api key'
        '404':
          description: MCP not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: MCP not found
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Failed to retrieve MCP details
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````